Verify Customer - Afriex Business API
Afriex SDK
TypeScript
const customer = await afriex.customers.verify("customer-id", {
docType: "BVN",
docValue: "22222222222",
});
curl --request POST \
--url https://sandbox.api.afriex.com/api/v1/customer/{customerId}/verify \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"docType": "BVN",
"docValue": "22222222222"
}
'
import requests
url = "https://sandbox.api.afriex.com/api/v1/customer/{customerId}/verify"
payload = {
"docType": "BVN",
"docValue": "22222222222"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({docType: 'BVN', docValue: '22222222222'})
};
fetch('https://sandbox.api.afriex.com/api/v1/customer/{customerId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
200
Success
{
"data": {
"name": "Jane Smith",
"email": "jane.smith@example.com",
"phone": "+2348192837465",
"customerId": "69d5ffe1ab82306f11b032f3",
"countryCode": "NG",
"createdAt": "2026-04-08T07:12:33.519Z",
"updatedAt": "2026-04-08T07:21:09.872Z"
}
}
Run an identity verification
Pass docType: "BVN" with the number in docValue. If you exceed the limit, the endpoint returns 429 Too Many Requests.
Authorizations
- x-api-key (string, header, required) - Static business API key issued from the dashboard. Manage your keys and permissions under Developer → API keys in the dashboard.
Headers
- x-api-version (string) - API version in ISO 8601 format. Defaults to latest stable.
Path Parameters
- customerId (string, required) - The unique identifier of the customer.
Body
- docType (enum
, required) - The type of document to verify. Available option: BVN. - docValue (string, required) - The document number to verify.